#include <curl/curl.h>
#include <curl/types.h>
#include <curl/easy.h>

#ifndef inetlib_h
#define inetlib_h
#ifdef  __cplusplus
extern "C" {
#endif


typedef struct BUFFER
	{
		char* donnees;
		size_t taille;
	}BUFFER;


CURL* priseEnChargeFichierDistant(char* URL,char* proxy,BUFFER* data);
//s'occuppe du fichier.le telechargera si HTML, sinon juste teste headers.

BUFFER* createbuffer();
//initialisation de la structure pr contenir le fichier et sa taille

bool uninitbuffer(BUFFER* data);
bool uninithandle(CURL* handle);
bool uninit(CURL* handle,BUFFER* data);
//desallocation de buffer et de curl

size_t getdatacallback(void*, size_t, size_t, void*);
//fonction callback: sous fonction de prise en charge

size_t getheaderscallback( void*, size_t ,size_t , void*);
//fonction callback : sous fonction de prise en charge.

long geterrcode(CURL*);
//renvoie le code erreur HTTP ou FTP

char* gettype(CURL*);
//renvoie le type en char* SI la fonction priseencharge a deja ete appellee



#ifdef  __cplusplus
}
#endif
#endif
